Browse Source

Edited README.rst via GitHub

tags/v0.15.1
Wladimir J. van der Laan 10 years ago
parent
commit
4785e6df74
1 changed files with 27 additions and 15 deletions
  1. 27
    15
      README.rst

+ 27
- 15
README.rst View File

@@ -1,19 +1,13 @@
Bitcoin-qt: Qt4 based GUI replacement for Bitcoin
=================================================

**Warning** **Warning** **Warning**
Features
========

Alpha version! I'm using this client myself on the production network, and I haven't noticed any glitches, but remember: always backup your wallet.
Testing on the testnet is recommended.

This has been implemented:

- qmake / QtCreator project (.pro)
- All functionality of the original client, including wallet encryption

- Compatibility with Linux (both GNOME and KDE), MacOSX and Windows

- All functionality of the original client, including taskbar icon/menu and wallet encryption

- Splash screen

- Tabbed interface
@@ -40,12 +34,6 @@ This has been implemented:

- Accepts "bitcoin:" URLs from browsers through drag and drop

This has to be done:

- Start at system start

- Support more languages (please send translations)

Build instructions
===================

@@ -91,6 +79,30 @@ Windows build instructions:
.. [#] PGP signature: http://download.visucore.com/bitcoin/qtgui_deps_1.zip.sig (signed with RSA key ID `610945D0`_)
.. _`610945D0`: http://pgp.mit.edu:11371/pks/lookup?op=get&search=0x610945D0

UPNnP port forwarding
=====================

To use UPnP for port forwarding behind a NAT router (recommended, as more connections overall allow for a faster and more stable bitcoin experience), pass the following argument to qmake:

::

qmake "USE_UPNP=1"

(in **Qt Creator**, you can find the setting for additional qmake arguments under "Projects" -> "Build Settings" -> "Build Steps", then click "Details" next to **qmake**)

This requires miniupnpc for UPnP port mapping. It can be downloaded from
http://miniupnp.tuxfamily.org/files/. UPnP support is not compiled in by default.

Set USE_UPNP to a different value to control this:

+------------+--------------------------------------------------------------+
| USE_UPNP= | (the default) no UPnP support, miniupnp not required; |
+------------+--------------------------------------------------------------+
| USE_UPNP=0 | UPnP support turned off by default at runtime; |
+------------+--------------------------------------------------------------+
| USE_UPNP=1 | UPnP support turned on by default at runtime. |
+------------+--------------------------------------------------------------+

Berkely DB version warning
==========================


Loading…
Cancel
Save